/****************************************************************************
 *                   pvlegal.h
 *
 * This file contains the POV-Ray 3.6 end-user license as a 'C' array.
 *
 * Author: Christopher J. Cason.
 *
 * from Persistence of Vision(tm) Ray Tracer version 3.6.
 * Copyright 1991-2003 Persistence of Vision Team
 * Copyright 2003-2004 Persistence of Vision Raytracer Pty. Ltd.
 *---------------------------------------------------------------------------
 * NOTICE: This source code file is provided so that users may experiment
 * with enhancements to POV-Ray and to port the software to platforms other
 * than those supported by the POV-Ray developers. There are strict rules
 * regarding how you are permitted to use this file. These rules are contained
 * in the distribution and derivative versions licenses which should have been
 * provided with this file.
 *
 * These licences may be found online, linked from the end-user license
 * agreement that is located at http://www.povray.org/povlegal.html
 *---------------------------------------------------------------------------
 * This program is based on the popular DKB raytracer version 2.12.
 * DKBTrace was originally written by David K. Buck.
 * DKBTrace Ver 2.0-2.12 were written by David K. Buck & Aaron A. Collins.
 *---------------------------------------------------------------------------
 * $File: //depot/povray/3.5/windows/pvlegal.h $
 * $Revision: #12 $
 * $Change: 4020 $
 * $DateTime: 2005/12/05 02:18:25 $
 * $Author: chrisc $
 * $Log$
 *****************************************************************************/

char povlegal_text [] =
{
  "-----BEGIN PGP SIGNED MESSAGE-----\n"
  "Hash: SHA1\n"
  "\n"
  "                           POV-Ray Licence Agreement\n"
  "                           GENERAL LICENSE AGREEMENT\n"
  "                               FOR PERSONAL USE\n"
  "                  Persistence of Vision Ray Tracer (POV-Ray)\n"
  "               Version 3.6 License and Terms & Conditions of Use\n"
  "                          version of 1 February 2005\n"
  "                         (also known as POVLEGAL.DOC)\n"
  "\n"
  "Please read through the terms and conditions of this license carefully. This \n"
  "license is a binding legal agreement between you, the 'User' (an individual\n"
  "or single entity) and Persistence of Vision Raytracer Pty. Ltd. ACN 105 891\n"
  "870 (herein also referred to as the \"Company\"), a company incorporated in the\n"
  "state of Victoria, Australia, for the product known as the \"Persistence of \n"
  "Vision Ray Tracer\", also referred to herein as 'POV-Ray'.\n"
  "\n"
  "YOUR ATTENTION IS PARTICULARLY DRAWN TO THE DISCLAIMER OF WARRANTY AND NO \n"
  "LIABILITY AND INDEMNITY PROVISIONS. TO USE THE PERSISTENCE OF VISION RAY \n"
  "TRACER (\"POV-RAY\") YOU MUST AGREE TO BE BOUND BY THE TERMS AND CONDITIONS SET\n"
  "OUT IN THIS DOCUMENT. IF YOU DO NOT AGREE TO ALL THE TERMS AND CONDITIONS OF \n"
  "USE OF POV-RAY SET OUT IN THIS LICENSE AGREEMENT, OR IF SUCH TERMS AND \n"
  "CONDITIONS ARE NOT BINDING ON YOU IN YOUR JURISDICTION, THEN YOU MAY NOT USE \n"
  "POV-RAY IN ANY MANNER. THIS GENERAL LICENSE AGREEMENT MUST ACCOMPANY ALL \n"
  "POV-RAY FILES WHETHER IN THEIR OFFICIAL OR CUSTOM VERSION FORM. IT MAY NOT BE\n"
  "REMOVED OR MODIFIED. THIS GENERAL LICENSE AGREEMENT GOVERNS THE USE OF\n"
  "POV-RAY WORLDWIDE. THIS DOCUMENT SUPERSEDES AND REPLACES ALL PREVIOUS GENERAL\n"
  "LICENSES.\n"
  "\n"
  "INTRODUCTION\n"
  "\n"
  "This document pertains to the use of the Persistence of Vision Ray Tracer \n"
  "(also known as POV-Ray). It applies to all POV-Ray program source files, \n"
  "executable (binary) files, scene files, documentation files, help files, \n"
  "bitmaps and other POV-Ray files contained in official Company archives, \n"
  "whether in full or any part thereof, and are herein referred to as the \n"
  "\"Software\". The Company reserves the right to revise these rules in future \n"
  "versions and to make additional rules to address new circumstances at any \n"
  "time. Such rules, when made, will be posted in a revised license file, the \n"
  "latest version of which is available from the Company website at \n"
  "http://www.povray.org/povlegal.html.\n"
  "\n"
  "USAGE PROVISIONS\n"
  "\n"
  "Subject to the terms and conditions of this agreement, permission is granted \n"
  "to the User to use the Software and its associated files to create and render\n"
  "images. The creator of a scene file retains all rights to any scene files\n"
  "they create, and any images generated by the Software from them. Subject to\n"
  "the other terms of this license, the User is permitted to use the Software in\n"
  "a profit-making enterprise, provided such profit arises primarily from use of\n"
  "the Software and not from distribution of the Software or a work including\n"
  "the Software in whole or part.\n"
  "\n"
  "Please refer to http://www.povray.org/povlegal.html for licenses covering\n"
  "distribution of the Software and works including the Software.\n"
  "\n"
  "The User is also granted the right to use the scene files, fonts, bitmaps,\n"
  "and include files distributed in the INCLUDE and SCENES\\INCDEMO sub-\n"
  "directories of the Software in their own scenes. Such permission does not\n"
  "extend to any other files in the SCENES directory or its sub-directories. The\n"
  "SCENES files are for the User's enjoyment and education but may not be the\n"
  "basis of any derivative works unless the file in question explicitly grants\n"
  "permission to do such.\n"
  "\n"
  "This licence does not grant any right of re-distribution or use in any manner\n"
  "other than the above. The Company has separate license documents that apply\n"
  "to other uses (such as re-distribution via the internet or on CD) ; please\n"
  "visit http://www.povray.org/povlegal.html for links to these. In particular\n"
  "you are advised that the sale, lease, or rental of the Software in any form\n"
  "without written authority from the Company is explicitly prohibited.\n"
  "\n"
  "Notwithstanding anything in the the balance of this licence agreement,\n"
  "nothing in this licence agreement permits the installation or use of the\n"
  "Software in conjunction with any product (including software) produced\n"
  "or distributed by any party who is, or has been, in violation of this\n"
  "licence agreement or of the distribution licence\n"
  "  (http://www.povray.org/distribution-license.html)\n"
  "(or any earlier or later versions of those documents) unless:\n"
  "\n"
  "   a. the Company has explicitly released that party in writing from the\n"
  "      consequences of their non compliance; or\n"
  "   b. both of the following are true:\n"
  "         i. the installation or use of the Software is without the User\n"
  "            being aware of the abovementioned violation; and\n"
  "        ii. the installation or use of the Software is not a result (whether\n"
  "            direct or indirect) of any request or action of the abovementioned\n"
  "            party (or any of its products), any agent of that party (or any of\n"
  "            their products), or any person(s) involved in supplying any such\n"
  "            product to the User.\n"
  "\n"
  "COPYRIGHT\n"
  "\n"
  "Copyright  1991-2003, Persistence of Vision Team.\n"
  "Copyright  2003-2004, Persistence of Vision Raytracer Pty. Ltd.\n"
  "Windows version Copyright  1996-2003, Christopher Cason.\n"
  "\n"
  "Copyright subsists in this Software which is protected by Australian and \n"
  "international copyright laws. The Software is NOT PUBLIC DOMAIN.\n"
  "\n"
  "Nothing in this agreement shall give you any rights in respect of the \n"
  "intellectual property of the Company and you acknowledge that you do not \n"
  "acquire any rights in respect of such intellectual property rights. You \n"
  "acknowledge that the Software is the valuable intellectual property of the \n"
  "Company and that if you use, modify or distribute the Software for \n"
  "unauthorized purposes or in an unauthorized manner (or cause or allow the \n"
  "forgoing to occur), you will be liable to the Company for any damages it may \n"
  "suffer (and which you acknowledge it may suffer) as well as statutory damages\n"
  "to the maximum extent permitted by law and also that you may be liable to \n"
  "criminal prosecution. You indemnify the Company and the authors of the \n"
  "Software for every single consequence flowing from the aforementioned events.\n"
  "\n"
  "DISCLAIMER OF WARRANTY\n"
  "\n"
  "This Software is provided on an \"AS IS\" basis, without warranty of any kind, \n"
  "express or implied, including without limitation, any implied warranties of \n"
  "merchantability, fitness for a particular purpose and non-infringement of \n"
  "intellectual property of any third party. This Software has inherent \n"
  "limitations including design faults and programming bugs. The entire risk as \n"
  "to the quality and performance of the Software is borne by you, and it is\n"
  "your responsibility to ensure that it does what you require it to do prior to\n"
  "using it for any purpose (other than testing it), and prior to distributing\n"
  "it in any fashion. Should the Software prove defective, you agree that you\n"
  "alone assume the entire cost resulting in any way from such defect.\n"
  "\n"
  "This disclaimer of warranty constitutes an essential and material term of\n"
  "this agreement. If you do not or cannot accept this, or if it is\n"
  "unenforceable in your jurisdiction, then you may not use the Software in any\n"
  "manner.\n"
  "\n"
  "NO LIABILITY\n"
  "\n"
  "When you use the Software you acknowledge and accept that you do so at your \n"
  "sole risk. You agree that under no circumstances shall you have any claim \n"
  "against the Company or anyone associated directly or indirectly with the \n"
  "Company whether as employee, subcontractor, agent, representative,\n"
  "consultant, licensee or otherwise (\"Company Associates\") for any loss,\n"
  "damages, harm, injury, expense, work stoppage, loss of business information,\n"
  "business interruption, computer failure or malfunction which may be suffered\n"
  "by you or by any third party from any cause whatsoever, howsoever arising, in\n"
  "connection with your use or distribution of the Software even where the\n"
  "Company were aware, or ought to have been aware, of the potential of such\n"
  "loss. Damages referred to above shall include direct, indirect, general,\n"
  "special, incidental, punitive and/or consequential.\n"
  "\n"
  "This disclaimer of liability constitutes an essential and material term of \n"
  "this agreement. If you do not or cannot accept this, or if it is\n"
  "unenforceable in your jurisdiction, then you may not use the Software.\n"
  "\n"
  "INDEMNITY\n"
  "\n"
  "You indemnify the Company and Company Associates and hold them harmless \n"
  "against any claims which may arise from any loss, damages, harm, injury, \n"
  "expense, work stoppage, loss of business information, business interruption, \n"
  "computer failure or malfunction, which may be suffered by you or any other \n"
  "party whatsoever as a consequence of any act or omission of the Company\n"
  "and/or Company Associates, whether negligent or not, arising out of your use\n"
  "and/or distribution of the Software, or from any other cause whatsoever,\n"
  "howsoever arising, in connection with the Software. These provisions are\n"
  "binding on your estate, heirs, executors, legal successors, administrators,\n"
  "parents and/or guardians.\n"
  "\n"
  "This indemnification constitutes an essential and material term of this \n"
  "agreement. If you do not or cannot accept this, or if it is unenforceable in \n"
  "your jurisdiction, then you may not use the Software.\n"
  "\n"
  "HIGH RISK ACTIVITIES\n"
  "\n"
  "This Software and the output produced by this Software is not fault-tolerant \n"
  "and is not designed, manufactured or intended for use as on-line control \n"
  "equipment in hazardous environments requiring fail-safe performance, in which\n"
  "the failure of the Software could lead or directly or indirectly to death, \n"
  "personal injury, or severe physical or environmental damage (\"High Risk \n"
  "Activities\"). The Company specifically disclaims any express or implied \n"
  "warranty of fitness for High Risk Activities and explicitly prohibits the use\n"
  "of the Software for such purposes.\n"
  "\n"
  "CRYPTOGRAPHIC SIGNING OF DOCUMENTS\n"
  "\n"
  "Changes to this Agreement and documents issued under its authority may be\n"
  "cryptographically signed by the POV-Ray Team Co-ordinator's private PGP key.\n"
  "In the absence of evidence to the contrary, such documents shall be considered,\n"
  "under the terms of this Agreement, to be authentic provided the signature is\n"
  "valid. The master copy of this Agreement at http://www.povray.org/povlegal.html\n"
  "will also be signed by the current version of the team-coordinator's key.\n"
  "\n"
  "The public key for the POV-Ray Team-coordinator can be retrieved from the\n"
  "location https://secure.povray.org/keys/. The current fingerprint for it is\n"
  "B4DD 932A C080 C3A3 6EA2 9952 DB04 4A74 9901 4518.\n"
  "\n"
  "MISCELLANEOUS\n"
  "\n"
  "This Agreement constitutes the complete agreement concerning this license.\n"
  "Any changes to this agreement must be in writing and may take the form of \n"
  "notifications by the Company to you, or through posting notifications on the \n"
  "Company website. THE USE OF THIS SOFTWARE BY ANY PERSON OR ENTITY IS\n"
  "EXPRESSLY MADE CONDITIONAL ON THEIR ACCEPTANCE OF THE TERMS SET FORTH HEREIN.\n"
  "\n"
  "Except where explicitly stated otherwise herein, if any provision of this \n"
  "Agreement is found to be invalid or unenforceable, the invalidity or \n"
  "unenforceability of such provision shall not affect the other provisions of \n"
  "this agreement, and all provisions not affected by such invalidity or \n"
  "unenforceability shall remain in full force and effect. In such cases you \n"
  "agree to attempt to substitute for each invalid or unenforceable provision a \n"
  "valid or enforceable provision which achieves to the greatest extent\n"
  "possible, the objectives and intention of the invalid or unenforceable\n"
  "provision. The validity and interpretation of this agreement will be governed\n"
  "by the laws of Australia in the state of Victoria (except for conflict of law\n"
  "provisions).\n"
  "\n"
  "CONTACT INFORMATION\n"
  "\n"
  "License inquiries can be made via email; please use the following address \n"
  "(but see below prior to emailing) :\n"
  "\n"
  "  team-coord-[three-letter month]-[four-digit year]@povray.org\n"
  "\n"
  "for example, team-coord-jun-2004@povray.org should be used if at the time you\n"
  "send the email it is the month of June 2004. The changing email addresses are\n"
  "necessary to combat spam and email viruses. Old email addresses may be deleted\n"
  "at our discretion.\n"
  "\n"
  "Note that the above address may change for reasons other than that given above;\n"
  "please check the version of this document at http://www.povray.org/povlegal.html\n"
  "for the current address. Note that your inability or failure to contact us\n"
  "for any reason is not an excuse for violating this licence.\n"
  "\n"
  "Do NOT send any attachments of any sort other than by prior arrangement.\n"
  "EMAIL MESSAGES INCLUDING ATTACHMENTS WILL BE DELETED UNREAD.\n"
  "\n"
  "The following postal address is only for official license business. Please\n"
  "note that it is preferred that initial queries about licensing be made via\n"
  "email ; postal mail should only be used when email is not possible, or when\n"
  "written documents are being exchanged by prior arrangement.\n"
  "\n"
  " Persistence of Vision Raytracer Pty. Ltd.\n"
  " PO Box 407\n"
  " Williamstown,\n"
  " Victoria 3016\n"
  " Australia\n"
  "\n"
  "-----BEGIN PGP SIGNATURE-----\n"
  "Version: GnuPG v1.2.5 (MingW32)\n"
  "\n"
  "iD8DBQFB/6172wRKdJkBRRgRAqNXAJ9PSAu1jEhfWqVfrh2DMU0y3fPuBQCfShYq\n"
  "ik3hF+QyXC+r16fYi1eV7vs=\n"
  "=cmu2\n"
  "-----END PGP SIGNATURE-----\n"
} ;

